
%global meadversion 2.1.0
%global namedversion 2.1.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package fastinfoset}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.1.0.redhat-00001

Name:           %{?scl_prefix}fastinfoset
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        fastinfoset
Group:          Development/Java

%if %with mead
Source100: fastinfoset-project-2.1.0.redhat-00001-project-sources.tar.gz
Source102: FastInfosetSamples-2.1.0.redhat-00001-sources.jar
Source103: FastInfosetRoundTripTests-2.1.0.redhat-00001-sources.jar
Source104: FastInfosetSamples-2.1.0.redhat-00001.jar
Source105: FastInfoset-2.1.0.redhat-00001.jar
Source106: FastInfosetSamples-2.1.0.redhat-00001.pom
Source107: FastInfosetRoundTripTests-2.1.0.redhat-00001.pom
Source108: FastInfoset-2.1.0.redhat-00001.pom
Source109: FastInfosetUtilities-2.1.0.redhat-00001.pom
Source110: FastInfoset-2.1.0.redhat-00001-sources.jar
Source111: FastInfosetUtilities-2.1.0.redhat-00001.jar
Source112: fastinfoset-project-2.1.0.redhat-00001-resources.zip
Source113: FastInfosetRoundTripTests-2.1.0.redhat-00001.jar
Source114: fastinfoset-project-2.1.0.redhat-00001.pom
Source115: FastInfosetUtilities-2.1.0.redhat-00001-sources.jar
%endif

License:        ASL 2.0 or BSD
URL:            http://fi.java.net
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Open Source implementation of the Fast Infoset Standard for Binary XML
(http://www.itu.int/ITU-T/asn1/).

%package -n %{?scl_prefix}FastInfosetRoundTripTests
Summary:        fastinfoset-roundtrip-tests
Group:          Development/Java


%description -n %{?scl_prefix}FastInfosetRoundTripTests
%{summary}.

%package -n %{?scl_prefix}FastInfosetUtilities
Summary:        fastinfoset-utilities
Group:          Development/Java


%description -n %{?scl_prefix}FastInfosetUtilities
%{summary}.

%package -n %{?scl_prefix}FastInfosetSamples
Summary:        fastinfoset-samples
Group:          Development/Java


%description -n %{?scl_prefix}FastInfosetSamples
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for fastinfoset
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n fastinfoset-project-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/FastInfoset-%{namedversion}.jar %{buildroot}%{_javadir}/FastInfoset-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/FastInfoset-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/FastInfoset-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/FastInfoset-%{namedversion}-sources.jar %{buildroot}%{_javadir}/FastInfoset-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/FastInfosetRoundTripTests-%{namedversion}.jar %{buildroot}%{_javadir}/FastInfosetRoundTripTests-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/FastInfosetRoundTripTests-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/FastInfosetRoundTripTests-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/FastInfosetRoundTripTests-%{namedversion}-sources.jar %{buildroot}%{_javadir}/FastInfosetRoundTripTests-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/FastInfosetUtilities-%{namedversion}.jar %{buildroot}%{_javadir}/FastInfosetUtilities-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/FastInfosetUtilities-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/FastInfosetUtilities-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/FastInfosetUtilities-%{namedversion}-sources.jar %{buildroot}%{_javadir}/FastInfosetUtilities-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/FastInfosetSamples-%{namedversion}.jar %{buildroot}%{_javadir}/FastInfosetSamples-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/FastInfosetSamples-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/FastInfosetSamples-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/FastInfosetSamples-%{namedversion}-sources.jar %{buildroot}%{_javadir}/FastInfosetSamples-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/FastInfoset-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/FastInfoset-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/FastInfoset-%{namedversion} -x META-INF/\*
%{__ln_s} FastInfoset-%{namedversion} %{buildroot}%{_javadocdir}/FastInfoset
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}fastinfoset
%defattr(0644,root,root,0755)
%doc FIME/LICENSE-FIME.md
%{_javadir}/FastInfoset-%{namedversion}.jar
%{_javadir}/FastInfoset.jar
%if %with javadoc
%{_javadir}/FastInfoset-%{namedversion}-javadoc.jar
%{_javadir}/FastInfoset-javadoc.jar
%endif
%{_javadir}/FastInfoset-%{namedversion}-sources.jar
%{_javadir}/FastInfoset-sources.jar

%files -n %{?scl_prefix}FastInfosetRoundTripTests
%defattr(0644,root,root,0755)
%{_javadir}/FastInfosetRoundTripTests-%{namedversion}.jar
%{_javadir}/FastInfosetRoundTripTests.jar
%if %with javadoc
%{_javadir}/FastInfosetRoundTripTests-%{namedversion}-javadoc.jar
%{_javadir}/FastInfosetRoundTripTests-javadoc.jar
%endif
%{_javadir}/FastInfosetRoundTripTests-%{namedversion}-sources.jar
%{_javadir}/FastInfosetRoundTripTests-sources.jar

%files -n %{?scl_prefix}FastInfosetUtilities
%defattr(0644,root,root,0755)
%{_javadir}/FastInfosetUtilities-%{namedversion}.jar
%{_javadir}/FastInfosetUtilities.jar
%if %with javadoc
%{_javadir}/FastInfosetUtilities-%{namedversion}-javadoc.jar
%{_javadir}/FastInfosetUtilities-javadoc.jar
%endif
%{_javadir}/FastInfosetUtilities-%{namedversion}-sources.jar
%{_javadir}/FastInfosetUtilities-sources.jar

%files -n %{?scl_prefix}FastInfosetSamples
%defattr(0644,root,root,0755)
%{_javadir}/FastInfosetSamples-%{namedversion}.jar
%{_javadir}/FastInfosetSamples.jar
%if %with javadoc
%{_javadir}/FastInfosetSamples-%{namedversion}-javadoc.jar
%{_javadir}/FastInfosetSamples-javadoc.jar
%endif
%{_javadir}/FastInfosetSamples-%{namedversion}-sources.jar
%{_javadir}/FastInfosetSamples-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/FastInfoset-%{namedversion}
%{_javadocdir}/FastInfoset
%endif

%changelog
* Tue Nov 14 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-3.redhat_00001.1
- Built by CPaaS

* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-2.redhat_00001.1
- Built by CPaaS

* Thu Sep 08 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-1.redhat_00001.1
- Built by CPaaS

* Thu Sep 08 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.2.13-1.redhat_1.1
- Built by CPaaS

* Tue Sep 06 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.2.18-6.redhat_00001.1
- Built by CPaaS

* Thu Jul 21 2022 Permaine Cheung <pcheung@redhat.com> - 1.2.18-5.redhat_00001.1
- 1.2.18.redhat-00001

* Wed Jul 20 2022 Yong Yang <yyang@redhat.com> - 1.2.18-1.redhat_00001.1
- Rename to fastinfoset
